Mesh = load(['Square' num2str(1) '.mat']);
DHandle = @(x) 1;
FHandle = @(x) 8*pi^2*cos(2*pi.*x(:,1)).*cos(2*pi.*x(:,2));
Uex = @(x) cos(2*pi.*x(:,1)).*cos(2*pi.*x(:,2));

fprintf('\n\n##shap_LFE:')
shap_LFE([0.3 0.6])

fprintf('\n\n##grad_shap_LFE:')
grad_shap_LFE([0.4 0.4])

fprintf('\n\n##STIMA_Heat_LFE:')
STIMA_Heat_LFE([0 0; 1 1/4; 1/8 1],P7O6(),DHandle)

fprintf('\n\n##LOAD_LFE:')
LOAD_LFE([0 0; 1 1/4; 1/8 1],P7O6(),FHandle)

fprintf('\n\n##assemMat_LFE:')
A = assemMat_LFE(Mesh, @STIMA_Heat_LFE, P7O6(),DHandle);
A = full(A);
A(1:6,1:6)
A(20:25,20:25)

fprintf('\n\n##assemLoad_LFE:')
L = assemLoad_LFE(Mesh,P7O6(),FHandle);
L(1:3)

fprintf('\n\n##assemDir_LFE:')
[U,FreeDofs]=assemDir_LFE(Mesh,-1,Uex);
FreeDofs