Mesh = load(['Square' num2str(1) '.mat']);
DHandle = @(x) 1;
FHandle = @(x) 8*pi^2*cos(2*pi.*x(:,1)).*cos(2*pi.*x(:,2));
Uex = @(x) cos(2*pi.*x(:,1)).*cos(2*pi.*x(:,2));

fprintf('\n\n##shap_QFE:')
shap_QFE([0.3 0.6])

fprintf('\n\n##grad_shap_QFE:')
grad_shap_QFE([0.4 0.8])

fprintf('\n\n##STIMA_Heat_QFE:')
STIMA_Heat_QFE([0 0; 1 0; 0 1],P7O6(),DHandle)

fprintf('\n\n##LOAD_QFE:')
LOAD_QFE([0 0; 1 0; 0 1],P7O6(),FHandle)

fprintf('\n\n##assemMat_QFE:')
A = assemMat_QFE(Mesh, @STIMA_Heat_QFE, P7O6(),DHandle);
A = full(A);
A(1:3,1:3)
A(26:28,26:28)

fprintf('\n\n##assemLoad_QFE:')
L = assemLoad_QFE(Mesh,P7O6(),FHandle);
L(1:3)
L(26:28)

fprintf('\n\n##assemDir_QFE:')
[U,FreeDofs]=assemDir_QFE(Mesh,-1,Uex);
FreeDofs